Bug 66825 - DHCP packets from Cisco VOIP phone crash pxe server
Summary: DHCP packets from Cisco VOIP phone crash pxe server
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pxe   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-17 14:21 UTC by Jason Kohles
Modified: 2007-04-18 16:43 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-30 13:16:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace of crashing pxe server (13.24 KB, text/plain)
2002-06-17 14:22 UTC, Jason Kohles
no flags Details
Cisco documentation on dhcp used by voip phone. (123.95 KB, application/x-pdf)
2002-06-17 14:23 UTC, Jason Kohles
no flags Details
PXE testing doc (188.64 KB, application/octet-stream)
2002-06-24 22:16 UTC, shanes sullivan
no flags Details
Required DLL, put in \windows\system32 (67.77 KB, application/octet-stream)
2002-07-15 20:44 UTC, shanes sullivan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:162 normal SHIPPED_LIVE : PXE server crashes from certain DHCP packets 2002-07-29 04:00:00 UTC
Red Hat Product Errata RHSA-2002:165 normal SHIPPED_LIVE Important: pxe security update 2002-07-31 04:00:00 UTC

Description Jason Kohles 2002-06-17 14:21:01 UTC
Description of Problem:
DHCP packets sent by Cisco VOIP phones cause pxe server on the same network to
crash when listening on dhcp port.

Additional Information:
	
Additional information will be attached...

Comment 1 Jason Kohles 2002-06-17 14:22:27 UTC
Created attachment 61184 [details]
Strace of crashing pxe server

Comment 2 Jason Kohles 2002-06-17 14:23:27 UTC
Created attachment 61185 [details]
Cisco documentation on dhcp used by voip phone.

Comment 3 Elliot Lee 2002-06-21 15:40:39 UTC
Someone with one of these phones will need to do the testing & fixing.

Comment 4 shanes sullivan 2002-06-24 22:16:49 UTC
Created attachment 62426 [details]
PXE testing doc

Comment 5 shanes sullivan 2002-06-24 22:17:30 UTC
This bug is listed incorrectly. It is not a Cisco issue. The issue was 
discovered using an Avaya VoIP phone. However it is not a phone issue, it is a 
pxelinux issue. We have done some more testing of this issue in our lab and 
determined that the problem arises when the host running the pxe daemon 
receives is on the same subnet as the ip phone and the dhcp server. you can use 
this link to download a utility that exactly mimics the Avaya IP Phone boot 
process. http://support.avaya.com/BootTest/ 

We have another doc that we have created on this issue that will explain our 
findings further.

Comment 6 Need Real Name 2002-06-26 13:23:16 UTC
While this is indeed not a phone issue, this is also not a PXELinux issue.  
The issue is with the PXE Daemon.  PXELinux is not even being used at the time 
when the problem happens.  The PXE Daemon is seg-faulting when it doesn't 
understand the PXE Packets.

Comment 7 Elliot Lee 2002-07-11 19:59:34 UTC
BootTest is what I'm looking for, except for the fact that it is a Windows program (and won't 
run under wine for want of iphlpapi.dll). If someone wants to write a tiny UNIX program to 
do the equivalent, that'd be much more useful.

Comment 8 shanes sullivan 2002-07-15 20:44:03 UTC
Created attachment 65466 [details]
Required DLL, put in \windows\system32

Comment 9 Norm Murray 2002-07-24 19:22:12 UTC
Also apparently needed is MPRAPI.DLL

Can someone test this under wine to let us know if this is possible to get
working, and ideally if the BootTest will indeed be sufficient to reproduce the
crash of the pxeserver?

Comment 10 Elliot Lee 2002-07-29 21:32:25 UTC
Errata probably necessary, *sigh*

Comment 11 Elliot Lee 2002-08-08 17:15:19 UTC
The errata is in the queue, I'll pretend I don't have to do anything more on this issue.

Comment 12 Elliot Lee 2002-08-30 13:16:47 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-162.html



Note You need to log in before you can comment on or make changes to this bug.